# eric4.UI.AuthenticationDialog

Module implementing the authentication dialog for the help browser.

### Global Attributes

None

### Classes

AuthenticationDialog | Class implementing the authentication dialog for the help browser.

### Functions

None

## AuthenticationDialog

Class implementing the authentication dialog for the help browser.

### Derived from

QDialog, Ui_AuthenticationDialog

### Class Attributes

None

### Methods

AuthenticationDialog | Constructor
getData | Public method to retrieve the login data.
shallSave | Public method to check, if the login data shall be saved.

#### AuthenticationDialog (Constructor)

AuthenticationDialog(info, username, showSave = False, parent = None)

Constructor

info
  information to be shown (string or QString)
username
  username as supplied by subversion (string or QString)
showSave
  flag to indicate to show the save checkbox (boolean)

#### AuthenticationDialog.getData

getData()

Public method to retrieve the login data.

Returns:
  tuple of two QString values (username, password)

#### AuthenticationDialog.shallSave

shallSave()

Public method to check, if the login data shall be saved.

Returns:
  flag indicating that the login data shall be saved (boolean)

Up